Bug 90875

Summary: [Qt][WK2] ASSERT: "!m_viewportItem->isMoving()" in QtViewportHandler::flickMoveEnded()
Product: WebKit Reporter: Andras Becsi <abecsi>
Component: New BugsAssignee: Andras Becsi <abecsi>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, hausmann, jturcotte, kenneth, menard, ossy, webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 90960, 90961    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Andras Becsi 2012-07-10 06:05:46 PDT
[Qt][WK2] ASSERT: "!m_viewportItem->isMoving()" in QtViewportHandler::flickMoveEnded()
Comment 1 Andras Becsi 2012-07-10 06:07:39 PDT
Created attachment 151449 [details]
Patch
Comment 2 Kenneth Rohde Christiansen 2012-07-10 22:13:45 PDT
Comment on attachment 151449 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=151449&action=review

> Source/WebKit2/UIProcess/API/qt/qquickwebview.cpp:1661
> +    // touch events too, thus to hinder the canvas from sending synthesized

remove "too"?

> Source/WebKit2/UIProcess/API/qt/qquickwebview.cpp:1663
> +    // childMouseEventFilter and filter incomming touch events as well.

incoming*
Comment 3 Andras Becsi 2012-07-11 02:43:13 PDT
Committed r122318: <http://trac.webkit.org/changeset/122318>
Comment 4 Andras Becsi 2012-07-11 02:43:50 PDT
Comment on attachment 151449 [details]
Patch

Clearing flags from attachment.
Comment 5 Csaba Osztrogon√°c 2012-07-11 03:14:46 PDT
(In reply to comment #3)
> Committed r122318: <http://trac.webkit.org/changeset/122318>

It made 11 tests fail. Could you check it, please? Here is the new bug report: https://bugs.webkit.org/show_bug.cgi?id=90960
Comment 6 WebKit Review Bot 2012-07-11 03:38:51 PDT
Re-opened since this is blocked by 90961
Comment 7 Andras Becsi 2012-07-12 03:05:04 PDT
Committed r122438: <http://trac.webkit.org/changeset/122438>